#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

if [ ! "$Sub1_cd1" ]
then
	SUBTITLES_ONE=""
fi

if [ ! "$Sub2_cd1" ]
then
	SUBTITLES_TWO=""
fi

DIALOG=Xdialog

$DIALOG --title "X-ChaMan-$XCM_VERSION" \
	--backtitle "$Title. $MOVIE_TIME : $Duree" \
	--icon /tmp/xchaman.tmp/"$Picture2" \
	--wizard \
	--no-tags \
        --radiolist "$LANGUAGE_BACKTITLE :" 0 0 3 \
        "vf"  "$LANGUAGE_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \
        "vo"  "$LANGUAGE_BUTTON_TWO - $Audiotitle2 $SUBTITLES_TWO" off 2>/tmp/checklist.tmp.$$

retval=$?

choice=`cat /tmp/checklist.tmp.$$`
rm -f /tmp/checklist.tmp.$$

case $retval in
  0) if [ "$choice" = "vf" ]
    then
	export AUDIO_ID="1" Version="$Audiotitle1 $SUBTITLES_ONE" \
	Lang="$Sub1_1\"$Subtitles1_cd1\"" Lang2="$Sub1_2\"$Subtitles1_cd2\""
	if [ ! "$Sub1_cd2" ]
	then
		export Lang2="-noautosub"
	fi
	/usr/local/XChaMan-$XCM_VERSION/data/chapters.sh
    fi
    if [ "$choice" = "vo" ]
    then
	export AUDIO_ID="2" Version="$Audiotitle2 $SUBTITLES_TWO" \
	Lang="-aid 2 $Sub2_1\"$Subtitles2_cd1\"" Lang2="-aid 2 $Sub2_2\"$Subtitles2_cd2\""
	if [ ! "$Sub2_cd2" ]
	then
		export Lang2="-aid 2 -noautosub"
	fi
	/usr/local/XChaMan-$XCM_VERSION/data/chapters.sh
    fi ;;
  1)
	rm -f /tmp/xchaman.tmp/* ;;
  3)
	/usr/local/XChaMan-$XCM_VERSION/data/menu.sh ;;
  255)
	rm -f /tmp/xchaman.tmp/* ;;
esac
