#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[PARAMTRAGE DES SOUS-TITRES]

if [ ! "$Sub1_cd1" ]
then
	export SUBTITLES_ONE=""
fi

if [ ! "$Sub2_cd1" ]
then
	export SUBTITLES_TWO=""
fi

#[MENU_MODE DEBUG]

if [ ! "$Menu_mode" ] || ([ "$Time2" ] && [ "$Sub2_cd1" ])
then
	Menu_mode="4"
elif [ ! "$Time2" ] && [ "$Sub2_cd1" ]
then
	Menu_mode="3"
fi

if [ "$Menu_mode" = "1" ]
then
	Ligne=2
elif [ "$Menu_mode" -lt "4" ]
then
	Ligne=3
else
	Ligne=4
fi

#[INTITULS AUDIO]

if [ ! "$Audiotitle1" ]
then
	export Audiotitle1="Audio 1"
fi

if [ ! "$Audiotitle2" ]
then
	export Audiotitle2="Audio 2"
fi

#[GESTION DES VIGNETTES]

if [ -f $DIRNAME/"$Pict_dir"/"$Picture1" ]
then
	cp $DIRNAME/"$Pict_dir"/"$Picture1" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture1"
elif [ -f $cd1/"$Pict_dir"/"$Picture1" ]
then
	cp $cd1/"$Pict_dir"/"$Picture1" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture1"
fi

if [ -f $DIRNAME/"$Pict_dir"/"$Picture2" ]
then
	cp $DIRNAME/"$Pict_dir"/"$Picture2" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture2"
elif [ -f $cd1/"$Pict_dir"/"$Picture2" ]
then
	cp $cd1/"$Pict_dir"/"$Picture2" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture2"
fi

if [ -f $DIRNAME/"$Pict_dir"/"$Picture3" ]
then
	cp $DIRNAME/"$Pict_dir"/"$Picture3" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture3"
elif [ -f $cd1/"$Pict_dir"/"$Picture3" ]
then
	cp $cd1/"$Pict_dir"/"$Picture3" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture3"
fi

#[ASPECTRATIO]

if [ "$Aspectratio" ]
then
	if [ "$Aspectratio" = "4:3" ]
	then
		export ASPECTRATIO=" -r 4:3"
	elif [ "$Aspectratio" = "16:9" ]
	then
		export ASPECTRATIO=" -r square"
	elif [ "$Aspectratio" = "2.35" ]
	then
		export ASPECTRATIO=" -r anamorphic"
	fi
fi

#[MENU_MODE]

cat << EOF > /tmp/xchaman.tmp/menu
#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

CHOICE=\`Xdialog --stdout --title "X-ChaMan-$XCM_VERSION - Player : Xine" \\
--backtitle "$Title. $MOVIE_TIME : $Duree" \\
--icon "/tmp/xchaman.tmp/$Picture1" \\
--help "X-ChaMan GUI made with Xdialog : http://www.chez.com/godefroy\n\nX-ChaMan is NOT a player ! Use MPlayer : http://www.mplayerhq.hu\nor Xine : http://xine.sourceforge.net/\n\nX-ChaMan is free software (GNU/GPL)\n\nSend comments and bugs reports to <twocats@free.fr>\nX-ChaMan-$XCM_VERSION (c) 2002-2003 Dominique Biendin\nHome page : http://twocats.free.fr" \\
--left \\
--no-tags \\
--radiolist "==============================\nX-ChaMan v. $XCM_VERSION\nChapter Manager for DivX Movies.\n==============================" 0 0 $Ligne \\
EOF
if [ "$Menu_mode" = "1" ]
then
cat << EOF >> /tmp/xchaman.tmp/menu
"vf"  "\$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \`
for i in \$CHOICE ; do
		case \$i in
			vf)
			/usr/local/XChaMan-$XCM_VERSION/data/playxine_a1.sh ;;
		esac
	done
EOF
elif [ "$Menu_mode" = "2" ]
then
cat << EOF >>/tmp/xchaman.tmp/menu
"vf"  "$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \\
"chapters"  "$MENU_CHAPTERS_ACCESS" off\`
	for i in \$CHOICE ; do
		case \$i in
			vf)
			/usr/local/XChaMan-$XCM_VERSION/data/playxine_a1.sh ;;
			chapters)
			export AUDIOLANG="0" Version="$Audiotitle1 $SUBTITLES_ONE"
			/usr/local/XChaMan-$XCM_VERSION/data/chaptersxine.sh ;;
		esac
	done
EOF
elif [ "$Menu_mode" = "3" ]
then
cat << EOF >>/tmp/xchaman.tmp/menu
"vf"  "$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \\
"vo"  "$MENU_BUTTON_TWO - $Audiotitle2 $SUBTITLES_TWO" off\`
	for i in \$CHOICE ; do
		case \$i in
			vf)
			/usr/local/XChaMan-$XCM_VERSION/data/playxine_a1.sh ;;
			vo)
			/usr/local/XChaMan-$XCM_VERSION/data/playxine_b1.sh ;;
		esac
	done
EOF
elif [ "$Menu_mode" = "4" ]
then
cat << EOF >>/tmp/xchaman.tmp/menu
"vf"  "$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \\
"vo"  "$MENU_BUTTON_TWO - $Audiotitle2 $SUBTITLES_TWO" off \\
"chapters"  "$MENU_CHAPTERS_ACCESS" off\`
for i in \$CHOICE ; do
	case \$i in
		vf)
		/usr/local/XChaMan-$XCM_VERSION/data/playxine_a1.sh ;;
		vo)
		/usr/local/XChaMan-$XCM_VERSION/data/playxine_b1.sh ;;
		chapters)
		/usr/local/XChaMan-$XCM_VERSION/data/languagexine.sh ;;
	esac
done
EOF
fi
chmod a+x /tmp/xchaman.tmp/menu
exec /tmp/xchaman.tmp/menu
