#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[LECTURE VIDEO AUDIO 1 CD 1]

PlayA1()
{
xine -pfhq$ASPECTRATIO "$Movie" -P /tmp/xchaman.tmp/playxine_a1.tox
}

DetectCd2()
{
if [ "$Movie2" ]
then
	/usr/local/XChaMan-$XCM_VERSION/data/playxine_a2.sh
else
	rm -f /tmp/xchaman.tmp/*
fi
}

. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[GNRATION FICHIER TOX]

echo "# toxine playlist

entry {
	identifier = Video Audio 1 cd 1;
	mrl = $Movie;
	subtitle = $Sub1_cd1;
	start = 0;
	end = -1;
};
#END" > /tmp/xchaman.tmp/playxine_a1.tox

if [ -e $DIRNAME/"$Directory"/"$Movie" ]
then
	cd $DIRNAME/"$Directory"
	PlayA1
	DetectCd2
elif [ -e $cd1/"$Directory"/"$Movie" ]
then
	cd $cd1/"$Directory"
	PlayA1
	DetectCd2
elif [ -e $cd2/"$Directory"/"$Movie" ]
then
	cd $cd2/"$Directory"
	PlayA1
	DetectCd2
elif [ -e "$Movie" ]
then
	PlayA1
	DetectCd2
elif [ -e $POSITION/"$Directory"/"$Movie" ]
then
	cd $POSITION/"$Directory"
	PlayA1
	DetectCd2
else
echo -e "\a"
DIALOG=Xdialog

$DIALOG --title "$ERROR_TITLE" \
	--icon "/usr/local/XChaMan-$XCM_VERSION/data/warning.xpm" \
        --msgbox "$ERROR_MESSAGE_ONE !
$ERROR_MESSAGE_TWO." 0 0

case $? in
  0)
	rm -f /tmp/xchaman.tmp/* ;;
  255)
	rm -f /tmp/xchaman.tmp/* ;;
esac
fi
